/*
 * Copyright 2009 Ben Axelrod
 * 
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the Creative Commons Attribution-Noncommercial-Share
 * Alike 3.0 United States License. 
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * To view a copy of this license, visit:
 * 
 * http://creativecommons.org/licenses/by-nc-sa/3.0/us/
 *
 * or send a letter to:
 * Creative Commons
 * 171 Second Street, Suite 300
 * San Francisco, California 94105 USA
 */

//------------------------------------------------------------------------------
// Tone Generator 
// Generic Service Contract
//
// Interface for a simple speaker which can only play tones
//
// Ben Axelrod  -  08/2007
//
//------------------------------------------------------------------------------
using Microsoft.Ccr.Core;
using Microsoft.Dss.Core.Attributes;
using Microsoft.Dss.ServiceModel.Dssp;
using System;
using System.Collections.Generic;
using W3C.Soap;

namespace Microsoft.Robotics.Services.ToneGenerator
{
    
    /// <summary>
    /// Tone Generator State
    /// </summary>
    [DataContract()]
    public class ToneGeneratorState
    {
        private bool _playingTone;

        public bool PlayingTone
        {
            get { return this._playingTone; }
            set { this._playingTone = value; }
        }
    }

}
